Package: org.grails.boot.internal

## [Groovy] Class JavaCompiler

- org.grails.boot.internal.JavaCompiler

-     @groovy.transform.CompileStatic
      class JavaCompiler
      extends java.lang.Object

  Helper for recompiling Java code at runtime

  Authors:
    Graeme Rocher
  Since:
    3.0.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaCompiler ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `isAvailable()`
    `` | `static boolean` | `recompile(org.codehaus.groovy.control.CompilerConfiguration config, java.io.File[] files)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### JavaCompiler()

  - ### Method Detail

    - #### static boolean isAvailable()

    - #### static boolean recompile(org.codehaus.groovy.control.CompilerConfiguration config, java.io.File[] files)